SMTP Mailboxes
List Mailboxes
List customer mailboxes visible to the public API principal.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
List Mailboxes
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Path Parameters
Query Parameters
Response
Mailboxes on this page
Hide child attributes
Hide child attributes
Mailbox creation timestamp
Domain UUID for the mailbox
Domain name for the mailbox
Mailbox user first name
Mailbox UUID
Mailbox user last name
Mailbox local part before the at sign
Primary mailbox email address
Mailbox lifecycle status
Mailbox last update timestamp
Workspace UUID for the mailbox
Workspace display name
Current one-based page number
Maximum items per page
Total matching mailboxes
Was this page helpful?
⌘I
List Mailboxes
